# RegisterParams | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- RegisterParams

## Index

### Properties

- gaiaHubUrl
- identity
- subdomain
- username

## Properties

### gaiaHubUrl

gaiaHubUrl: string

- Defined in packages/keychain/src/profiles.ts:136

The gaia hub URL to use for profile.json upload

### identity

identity: Identity

- Defined in packages/keychain/src/profiles.ts:134

### subdomain

subdomain: Subdomains

- Defined in packages/keychain/src/profiles.ts:140

The "domain" used for this subdomain. Can be any of the `Subdomains` enum.

### username

username: string

- Defined in packages/keychain/src/profiles.ts:138

The username portion of this subdomain, i.e. only the portion of the name before any periods

Generated using TypeDoc